# Search plants by tags GET https://api.plantstore.dev/v3/plant/search/tags Filter plants based on associated tags. Reference: https://docs.getinstacash.in/api-reference/swagger-plant-store-open-api-3-1/plant/search-plants-by-tags ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: example-openapi version: 1.0.0 paths: /plant/search/tags: get: operationId: search-plants-by-tags summary: Search plants by tags description: Filter plants based on associated tags. tags: - subpackage_plant parameters: - name: tags in: query description: Tags to filter plants (comma-separated). required: false schema: type: array items: type: string responses: '200': description: List of plants matching the tags filter content: application/json: schema: type: array items: $ref: '#/components/schemas/PlantResponse' servers: - url: https://api.plantstore.dev/v3 components: schemas: PlantResponse: type: object properties: id: type: integer name: type: string status: type: string tags: type: array items: type: string title: PlantResponse ``` ## SDK Code Examples ```python Plants filtered by tags import requests url = "https://api.plantstore.dev/v3/plant/search/tags" response = requests.get(url) print(response.json()) ``` ```javascript Plants filtered by tags const url = 'https://api.plantstore.dev/v3/plant/search/tags'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Plants filtered by tags package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.plantstore.dev/v3/plant/search/tags" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Plants filtered by tags require 'uri' require 'net/http' url = URI("https://api.plantstore.dev/v3/plant/search/tags") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Plants filtered by tags import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.plantstore.dev/v3/plant/search/tags") .asString(); ``` ```php Plants filtered by tags request('GET', 'https://api.plantstore.dev/v3/plant/search/tags'); echo $response->getBody(); ``` ```csharp Plants filtered by tags using RestSharp; var client = new RestClient("https://api.plantstore.dev/v3/plant/search/tags"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Plants filtered by tags import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.plantstore.dev/v3/plant/search/tags")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```